Bug 1415406 - please update to 4.0.5
Summary: please update to 4.0.5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kicad
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-21 17:05 UTC by Frank Büttner
Modified: 2017-03-15 18:21 UTC (History)
7 users (show)

Fixed In Version: kicad-4.0.5-1.fc25.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-15 18:21:45 UTC
Type: Bug


Attachments (Terms of Use)
Updated to 4.0.5 (33.79 KB, text/plain)
2017-01-22 20:25 UTC, Mark Harfouche
no flags Details
Automatically generate .pretty sources for the .spec file (701 bytes, application/x-shellscript)
2017-01-22 20:26 UTC, Mark Harfouche
no flags Details

Description Frank Büttner 2017-01-21 17:05:54 UTC
See http://kicad-pcb.org/post/release-4.0.5/
for the change log.

Comment 1 Mark Harfouche 2017-01-22 20:25:29 UTC
Until the package maintainer accepts it, you can get it from https://copr.fedorainfracloud.org/coprs/hmaarrfk/kicad/
When the build finishes, you should be able to get it through COPR.
I'll issue builds for 32bit and F24 and F26 when the F25 succeeds. It succeeded on my machine so it shouldn't be too long.

I would like to be comaintainer of this package to eventually gain sponsorship for package maintainer.

Changes:
Also, I attached an updated spec file, bumped the version number and updated the .pretty libraries. I also attached a file that can be used to generate the "SourceXX:" section so as to keep the .pretty files more in line.

I think I might be missing some stuff. There seems to have been an effort to script more of the pacakge and make it more streamlined with kicad updates. It seems to have been abbandonned though.
https://github.com/KiCad/fedora-packaging
maybe we want to link to the Official Fedora repo from the github page.

The fedora repository seems more up to date. 
https://apps.fedoraproject.org/packages/kicad

Comment 2 Mark Harfouche 2017-01-22 20:25:57 UTC
Created attachment 1243416 [details]
Updated to 4.0.5

Comment 3 Mark Harfouche 2017-01-22 20:26:35 UTC
Created attachment 1243417 [details]
Automatically generate .pretty sources for the .spec file

Comment 4 Elliott Sales de Andrade 2017-01-23 07:23:37 UTC
I think your copr package may be missing some of the throughhole components.

Comment 5 Mark Harfouche 2017-01-23 07:49:36 UTC
through holes have been renamed to THT, unless I am mistaken.
I basically reformated their file
https://github.com/KiCad/kicad-library/blob/master/template/fp-lib-table.for-pretty
to make it point the spec to the right location.

You can check that
https://github.com/KiCad/Capacitors_ThroughHole.pretty
redirects to
https://github.com/KiCad/Capacitors_THT.pretty

Comment 6 Elliott Sales de Andrade 2017-01-23 07:54:12 UTC
Ah, thanks; was that really changed in a micro release or have Fedora packages just not correctly reflected current upstream?

Comment 7 Mark Harfouche 2017-01-23 09:32:01 UTC
I think the Fedora packages didn't reflect the upstream naming convention. I think most packages were still there.

I think there were a few packages that I did in fact add. Honestly though, it is really hard to tell because some had less obvious name changes. I ended up writing the script because I couldn't keep track of the changes.

Comment 8 Jonathan Wakely 2017-02-01 04:14:58 UTC
This needs to be updated for F26 because it will use Boost 1.63 and the current version of KiCad doesn't work with anything newer than 1.60

See e.g. https://github.com/KiCad/kicad-source-mirror/commit/06d4894fdbeb00727cdcc667b8899ad73d8eb1c2 and https://github.com/KiCad/kicad-source-mirror/commit/78bc3c65de6c03d19be9902327d08cd4d87c229c for commits to support Boost 1.61 and later.

Comment 9 Mark Harfouche 2017-02-01 07:31:31 UTC
So will those commits ensure it works with Boost 1.61+ AND 1.60?

Are we immediately worried about F26? Or can this be pulled for F25 today?

Comment 10 Jonathan Wakely 2017-02-01 12:52:47 UTC
(In reply to Mark Harfouche from comment #9)
> So will those commits ensure it works with Boost 1.61+ AND 1.60?

Yes, but there might be others that are also needed, I didn't look into it any further.

> Are we immediately worried about F26? Or can this be pulled for F25 today?

We won't be updating Boost in F25, so the current version of kicad will continue to work fine for F25. For F26 I'm in the process of updating to Boost 1.63 and so kicad doesn't build.

Comment 11 Mark Harfouche 2017-02-01 15:29:25 UTC
> For F26 I'm in the process of updating to Boost 1.63 and so kicad doesn't build.

I think it is best to wait a few months until they update 4.0.6. Those pulls will probably be merged in and we won't have that trouble. Is that OK?

Comment 12 Jonathan Wakely 2017-02-01 15:35:20 UTC
That makes sense.

Comment 13 Fedora Update System 2017-02-20 13:07:18 UTC
kicad-4.0.5-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a001d6c0dc

Comment 14 Fedora Update System 2017-02-20 21:23:01 UTC
kicad-4.0.5-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a001d6c0dc

Comment 15 Fedora Update System 2017-02-23 10:21:48 UTC
kicad-4.0.5-1.fc25.1 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a001d6c0dc

Comment 16 Mark Harfouche 2017-02-23 17:19:44 UTC
Is it possible to add the script that generates the sources too to the Fedora git https://src.fedoraproject.org/cgit/rpms/kicad.git/tree/ ? It is quite a hassle to ensure that the many (~80) optional Sources stay in sync with upstream releases.

Comment 17 Mark Harfouche 2017-02-23 17:23:49 UTC
Please ignore my previous comment. It seems Lubomir found a better perl based solution.

Thanks!

Comment 18 Fedora Update System 2017-02-23 23:20:22 UTC
kicad-4.0.5-1.fc25.1 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a001d6c0dc

Comment 19 Fedora Update System 2017-03-15 18:21:45 UTC
kicad-4.0.5-1.fc25.1 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.